Create Transaction (Pay by Wallets)

This API is used to create transactions with PG where payment is made through wallets like Apple Pay, Samsung Pay, etc. This API is applicable when the preferred mode of payment is Apple Pay or Samsung Pay. No other payment methods are supported. Like Create Transaction API, accepted transaction types are AUTH and PURCHASE. Refer to parameter transactionType in the request body. The encrypted DPAN value must be provided in encryptedPayload parameter for the transaction to be successful.

Transaction Idempotency

If appUtr is present in the API request, then the refund transaction will be made idempotent. If another refund transaction is requested with the duplicate appUtr, then API will reject the refund transaction.

HTTP Status and Response Status Matrix

HTTP StatusResponse StatusResponse Message
200AUTHORIZED, CAPTUREDSuccess
200AUTHORIZATION_DECLINEDTransaction has been declined
400VALIDATION_ERRORWhen validation fails for request body, field specific validation errors will be returned.
400INVALID_REQUESTNotes provided is not a valid JSON
400ERROR_FROM_PGThis will be populated by processor.
500ERROR_FROM_PGError in Processing Gateway Response
500INTERNAL_PROCESSING_ERRORWhen there is an error/exception at Checkout which is not handled gracefully or un-recoverable. Specific error messages or generic error messages will be returned on a basis of scenario.
500INTERNAL_PROCESSING_ERRORGateway account not found
502ERROR_CONNECTING_PGGateway connectivity unavailable
503ERROR_CONNECTING_PGGateway connectivity unavailable
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length ≤ 20
^[0-9]+$

Amount to be charged. The amount is always considered in the smallest currency sub-unit i.e. to do transaction of 100 USD, provide 10000 as value. In the case of three decimal currencies, such as KWD, BHD and OMR, pass the value as 100000.

string
required
length ≤ 3
^[A-Z]{3}$

Currency in which transaction is to be done. It should follow ISO 4217 describing three-letter codes for currency. e.g. USD, EUR, AED, INR etc.

string
required
length ≤ 250
^[A-Za-z0-9#_,/().&:\\-]+$

Description of the transaction.

string
enum
length ≤ 20

O – If not passed then by default it is PURCHASE. For PURCHASE transaction type, auto capture is enabled. If AUTH is passed, then Capture Transaction API should be called separately to capture the transaction.

Allowed:
notes
object

Notes of the transaction. O – It will be provided back in response to the Check Transaction Status API.

app
object
required

Integrating App details for the transaction.

string
required
length ≤ 18
^[0-9A-Za-z]+$

Order Id of the transaction. This will be forwarded to the PG if the underlying PG supports it. It may be present in the bank records/statements. NOTE: This is not considered for transaction idempotency

string
enum
required
length ≤ 25

The payment modes allowed for the transaction.

Allowed:
customerDetails
object
required

Customer details including address. C – When provided it will be sent to PG if supported by PG. NOTE: Checkout is not storing any of the customer details.

refundConfig
object
required

This configuration will be used when the refund is initiated on the original transaction.

string
required

The encrypted DPAN

Headers
string
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json